Bug 303478 - MKV audio tracks not detected
Summary: MKV audio tracks not detected
Status: RESOLVED FIXED
Alias: None
Product: phonon-backend-gstreamer
Classification: Frameworks and Libraries
Component: general (show other bugs)
Version: 4.6
Platform: Archlinux Linux
: NOR wishlist (vote)
Target Milestone: 4.6.1
Assignee: Harald Sitter
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-07-13 14:23 UTC by Konstantin
Modified: 2012-10-07 11:47 UTC (History)
5 users (show)

See Also:
Latest Commit:
Version Fixed In: 4.7


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Konstantin 2012-07-13 14:23:40 UTC
Dragon player does not select audio track (manually - when they are embedded in mkv) in the phonon-gstreamer, but you can select them when using the phonon-vlc.

phonon 4.6.0
phonon-gstreamer 4.6.0
gstreamer0.10 0.10.36
gstreamer0.10-bad 0.10.23
gstreamer0.10-bad-plugins 0.10.23
gstreamer0.10-base 0.10.36
gstreamer0.10-base-plugins 0.10.36
gstreamer0.10-ffmpeg 0.10.13
gstreamer0.10-good 0.10.31
gstreamer0.10-good-plugins 0.10.31
gstreamer0.10-ugly 0.10.19
gstreamer0.10-ugly-plugins 0.10.19
qt-gstreamer 0.10.2
kdemultimedia-dragonplayer 4.8.97

Reproducible: Always

Steps to Reproduce:
1. Launch Dragon player
2. Open *.mkv with embedded audio tracks
3. Play file
Actual Results:  
Cann't select audio tracks

Expected Results:  
Can select audio tracks
Comment 1 Konstantin 2012-07-15 17:35:46 UTC
I try phonon-gstreamer 4.6.1 - all is same.
Comment 2 Torrie Fischer 2012-09-23 09:42:19 UTC
Phonon-GStreamer currently does not support audio tracks, but the implementation is being worked on.
Comment 3 Torrie Fischer 2012-09-23 10:06:09 UTC
Git commit b07fd213c11f23a6099ab2739b590fb7101e978c by Trever Fischer.
Committed on 23/09/2012 at 12:02.
Pushed by tdfischer into branch 'master'.

M  +13   -0    gstreamer/backend.cpp
M  +65   -1    gstreamer/mediaobject.cpp
M  +6    -0    gstreamer/mediaobject.h
M  +7    -0    gstreamer/pipeline.cpp
M  +2    -0    gstreamer/pipeline.h

http://commits.kde.org/phonon-gstreamer/b07fd213c11f23a6099ab2739b590fb7101e978c
Comment 4 Konstantin 2012-09-23 11:36:05 UTC
Thanks for comments, i try from git
Comment 5 Konstantin 2012-09-23 18:39:30 UTC
I try from git, now it recognize audio track...
But not all - i have mkv file with 10 track - but phonon recognize only 4 as example...